Status: Closed Start date: 13 Feb 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 5.30 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 3.10 hours

Description

We should have a function for accessing the matrix and the grading/weights matrix of a PPOrdering.

Now we have GetMatrix (I wrote it in 2004) but I do not like that name for many reasons: OrderingMat?

And the other?  WeightMat?  GradingMat?

2014-07 Choice was made: OrdMat and GradingMat

As PPOrdering is implemented now, these functions would be forced to make a new matrix (because some orderings do not have a

matrix to reference).

We could store a MatrixView in all PPOrderings, but I think this is not a problem.

2014-07 this moved to a specific issue #602

Related issues:

Related to CoCoA-5 - Feature #78: Elim ordering and matrix ordering in CoCoA-5 In Progress 16 Jan 2012

Related to CoCoALib - Feature #174: IsStdGraded: add for PPOrdering, PPMonoid... New 01 Jun 2012

Related to CoCoALib - Support #256: Improve doc about ordering/grading for po... Closed 08 Oct 2012

Related to CoCoALib - Design #602: OrdMat:  should it be a reference to a Mat... Closed 31 Jul 2014

History

#1 - 29 Oct 2013 13:47 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#2 - 01 Apr 2014 19:14 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#3 - 11 Apr 2014 17:56 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#4 - 31 Jul 2014 13:52 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 20

- Estimated time set to 5.30 h

We have chosen the name OrdMat (and mem fn called myOrdMatCopy).  Also added this fn for PPMonoid and SparsePolyRing -- trivial one line

defns.

Unresolved aspects:

is this fn actually useful?  Maybe GradingMat is more useful? (check where/how OrdMat is used!)

we are considering putting a ConstMatrixView into every PPOrdering so this fn could simply return a reference to that (rather than make a dense

copy)

Note: GradingMat can easily be simulated by submat(OrdMat(...),...) but you cannot get OrdMat from GradingMat.
#5 - 31 Jul 2014 13:54 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

Postponing to after Seoul as there are some unresolved aspects.

#6 - 31 Jul 2014 17:43 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- Assignee deleted (John Abbott)

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99534 Seoul14

- % Done changed from 20 to 70

Renaming done: OrdMat, GradingMat (2014-07)

Moving the MatrixView proposal into another issue

#7 - 31 Jul 2014 17:49 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 70 to 100
